Re: [R] Installing Bioconductor on R

From: Peter Dalgaard <p.dalgaard_at_biostat.ku.dk>
Date: Wed 19 Oct 2005 - 03:55:22 EST

Arunkumar R <arajendr@orca.st.usm.edu> writes:

> hi all,
> Am new to R. I am having problems installing Bioconductor package in
> R on fedora core 4 running on AMD64 bit machine.

Where did you get your R and which version? This is not happening to me with R-2.2.0 from Fedora Extras:

gcc -shared -L/usr/local/lib64 -o affyPLM.so avg_log.o biweight.o chipbackground.o common_types.o do_PLMrlm.o do_PLMrma.o do_PLMthreestep.o idealmismatch.o LESN.o lm.o lm_threestep.o log_avg.o matrix_functions.o median_logPM.o medianPM.o medianpolish.o nthLargestPM.o PLM_modelmatrix.o preprocess.o psi_fns.o qnorm.o qnorm_probeset.o rlm_anova.o rlm.o rlm_PLM.o rlm_se.o rlm_threestep.o rma_background2.o rma_common.o rma_PLM.o rmaPLM_pseudo.o SCAB.o scaling.o threestep.o threestep_common.o threestep_PLM.o threestep_summary.o threestep_summary_methods.o transfns.o weightedkerneldensity.o -L/usr/lib64/R/lib -lRlapack -L/usr/lib64/R/lib -lR
** R
** inst
..etc..

> this is the error message I get :
>
> gcc -shared -L/usr/local/lib -o affyPLM.so avg_log.o biweight.o
> chipbackground.o common_types.o do_PLMrlm.o do_PLMrma.o do_PLMthreestep.o
> idealmismatch.o LESN.o lm.o lm_threestep.o log_avg.o matrix_functions.o
> median_logPM.o medianPM.o medianpolish.o nthLargestPM.o PLM_modelmatrix.o
> preprocess.o psi_fns.o qnorm.o qnorm_probeset.o rlm_anova.o rlm.o rlm_PLM.o
> rlm_se.o rlm_threestep.o rma_background2.o rma_common.o rma_PLM.o
> rmaPLM_pseudo.o SCAB.o scaling.o threestep.o threestep_common.o threestep_PLM.o
> threestep_summary.o threestep_summary_methods.o transfns.o
> weightedkerneldensity.o -L/usr/lib64/R/lib -lRlapack -lblas -L/usr/lib64/R/lib
> -lR
> /usr/bin/ld: cannot find -lblas
> collect2: ld returned 1 exit status
> make: *** [affyPLM.so] Error 1
> ERROR: compilation failed for package 'affyPLM'
> ** Removing '/usr/lib64/R/library/affyPLM'
> ** Restoring previous '/usr/lib64/R/library/affyPLM'
>
> The downloaded packages are in
> /tmp/RtmpY18969/downloaded_packages
> Warning message:
> installation of package 'affyPLM' had non-zero exit status in:
> install.packages(pkgs = c("affy", "affydata", "affyPLM", "annaffy",
>
> I get these error messages after I type these commands on R :
>
> source("http://www.bioconductor.org/biocLite.R")
> biocLite()
>
> when I search for blas , I get this :
>
> $ locate blas | grep so
> /usr/lib/libgslcblas.so.0
> /usr/lib/libgslcblas.so.0.0.0
> /usr/lib64/libblas.so.3.0
> /usr/lib64/libblas.so.3.0.3
> /usr/lib64/libblas.so.3
>
> do I need to install blas or make some changes in the configuration file in the
> bioconductor package.
>
> Thanks
> Arun
>
> ______________________________________________
> R-help@stat.math.ethz.ch mailing list
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html
>

-- 
   O__  ---- Peter Dalgaard             ุster Farimagsgade 5, Entr.B
  c/ /'_ --- Dept. of Biostatistics     PO Box 2099, 1014 Cph. K
 (*) \(*) -- University of Copenhagen   Denmark          Ph:  (+45) 35327918
~~~~~~~~~~ - (p.dalgaard@biostat.ku.dk)                  FAX: (+45) 35327907

______________________________________________
R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html
Received on Wed Oct 19 04:07:14 2005

This archive was generated by hypermail 2.1.8 : Fri 03 Mar 2006 - 03:40:45 EST